run-mozilla.sh -d is broken

VERIFIED FIXED in Future

Status

P5
enhancement
VERIFIED FIXED
18 years ago
14 years ago

People

(Reporter: db, Assigned: cls)

Tracking

Trunk
Future
x86
Linux

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

18 years ago
The script run-mozilla.sh in the nightly build is broken. I was going to start
it in the debugger bug wrote -d instead of -g. And then the script got into a loop.

> run-mozilla.sh
shift: shift count must be <= $#
shift: shift count must be <= $#
shift: shift count must be <= $#
...
...
(Reporter)

Comment 1

18 years ago
It should of course say

> run-mozilla.sh -d

Comment 2

18 years ago
what nightly is this?
(Reporter)

Comment 3

18 years ago
Any linux version i've tried. For example the latest nightly build 2001033121

Comment 4

18 years ago
buildconfig i guess...
Component: Browser-General → Build Config

Comment 5

18 years ago
moving really this time
Assignee: asa → cls
QA Contact: doronr → granrose
(Assignee)

Updated

18 years ago
Status: UNCONFIRMED → RESOLVED
Last Resolved: 18 years ago
Resolution: --- → INVALID
(Assignee)

Comment 6

18 years ago
-d expects an argument.  Hence the shift.  Not sure why this is considered a
bug.
(Reporter)

Comment 7

18 years ago
Well, if you don't give the argument it loops forever. It's marked as a minor
bug just because it's not really important and it do work if you give the argument.

Updated

18 years ago
Status: RESOLVED → UNCONFIRMED
Resolution: INVALID → ---

Comment 8

18 years ago
reopening, setting to future.  this is a valid bug, just not important.

A simple fix would be to check $# before doing the shift a la:

if [$# -ge 2]; then
shift 2
else
echo "-d requires an argument"
exit 1
fi

or something like that.

Updated

18 years ago
Severity: minor → enhancement
Status: UNCONFIRMED → NEW
Ever confirmed: true
Priority: -- → P5
Target Milestone: --- → Future

Comment 9

17 years ago
Is it really minor to have a bunch of these zombie processes running on a
machine.  I seem to collect them somehow, and can only kill them with -9.  Or is
that a different issue?
@@ -290,7 +290,12 @@
       ;;
     -d | --debugger)
       moz_debugger=$2;
-      shift 2
+      if [ "${moz_debugger}" != "" ]; then
+       shift 2
+      else
+        echo "-d requires an argument"
+        exit 1
+      fi
       ;;
     *)
       break;
Patch checked in.
Status: NEW → RESOLVED
Last Resolved: 18 years ago17 years ago
Resolution: --- → FIXED

Comment 12

17 years ago
Verified working as intended

on Solaris 8 Sparc latest cvs pull as of 11/15/01

Comment 13

17 years ago
Verified working as intended

on Solaris 8 Sparc latest cvs pull as of 11/15/01
Status: RESOLVED → VERIFIED
Product: Browser → Seamonkey
You need to log in before you can comment on or make changes to this bug.